### Method

# GLib RecMutex lock

since: 2.32

#### Declaration

    void
    g_rec_mutex_lock (
      GRecMutex* rec_mutex
    )

#### Description

Locks `rec_mutex`. If `rec_mutex` is already locked by another thread, the current thread will block until `rec_mutex` is unlocked by the other thread. If `rec_mutex` is already locked by the current thread, the ‘lock count’ of `rec_mutex` is increased. The mutex will only become available again when it is unlocked as many times as it has been locked.

Available since: 2.32